C******************** START FILE UPROMT.FOR ; GROUP UREAD5 *************
C-------------------------------------------------------------
C& UPROMT  UREAD SEND PROMPT TO TTY IF INPUT IS TO BE READ FROM TTY
C
C  WRITE PROMPT TO TERMINAL IF--
C   ECHO FEATURE FOR DEBUGGING INDIRECT INPUT IS ON, OR,
C   TERMINAL USER HAS INTERACTIVE CONTROL OF MAIN PROGRAM
C
C  ECHO PROMPT TO INDIRECT OUTPUT FILE IS ONE IS BEING MADE
C
      SUBROUTINE UPROMT
      USE USERIO
C
      IF(NCHARA.LE.0) RETURN
C
C  DMC FEB 1989 -- THIS ROUTINE IS CALLED IF THE TYPEAHEAD BUFFER
C  IS EMPTY.  IF THE USER IS TO SUPPLY INPUT OR THE ECHO FLAG IS
C  SET, SEND THE PROMPT TO THE SCREEN.
C
      IF(((.NOT.NLINDI).AND.(NPRBUF.EQ.0)).OR.NLECHO) THEN
        DO 10 IL=1,NBLINE
          WRITE(LUNTRM,1999)
 10     CONTINUE
 1999   FORMAT(1X)
        CALL UPROMTX(ABUFF,NCHARA)
      ENDIF
C
      RETURN
      END
C******************** END FILE UPROMT.FOR ; GROUP UREAD5 ***************
